petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexGetScale

Get the scale for the specified fundamental unit

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetScale(DM dm, PetscUnit unit, PetscReal *scale)

Not collective

### Input Arguments

| dm | - the DM
| unit | - The SI unit

### Output Argument

scale -The value used to scale all quantities with this unit

### See Also

DMPlexSetScale(), PetscUnit

### Level

advanced

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages